
uniform bool scene4;

in vec4 color;
in flat int vert_id;

layout (location = 0) out vec4 C;

void main(){
//	vec4 cc = color;
	C = color;

	vec2 uuv = gl_FragCoord.xy/R;

	if(scene4){
		if(mod(sin(float(vert_id)*241.212215+ T*1.3) , 2.0) < 1.0){
			if(fract(uuv.y*50.0) < 0.5){
				discard;
			}
		}
		if(mod(sin(float(vert_id)*141.212215+ T*1.3) , 2.0) < 1.0){
			C.a = 0.5;
//			if(fract(uuv.y*50.0) < 0.5){
//				discard;
//			}
		}
	}

//	C = vec4(color.rgb,alpha);
}
